%define pkgname django-registration

Name:           python-%{pkgname}
Version:        3.3
Release:        %mkrel 2
Summary:        A user-registration application for Django

Group:          Development/Python
License:        BSD
URL:            https://github.com/ubernostrum/django-registration/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
#
# Security Patches
# P100 -> ...

BuildArch:      noarch

%description
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%package -n     python3-%{pkgname}
Summary:        A user-registration application for Django
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       python3dist(django)

%description -n python3-%{pkgname}
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%prep
%setup -q -n %{pkgname}-%{version}
%autopatch -p1

rm -rf docs/_build/html/.buildinfo


# relax reqs
perl -pi -e 's/confusable_homoglyphs~=/confusable_homoglyphs>=/' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files django_registration

#Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -n python3-%{pkgname} -f %{name}.lang -f %{pyproject_files}
%license LICENSE
%doc AUTHORS README.rst docs/*
%dir %{python3_sitelib}/django_registration


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 3.3-2.mga10
+ Revision: 2035816
- rebuild for python 3.12
- new version 3.3
- 3.4
- use pyproject macros

* Mon Dec 18 2023 papoteur <papoteur> 3.2-5.mga10
+ Revision: 2018964
- Mass Rebuild - Python 3.12

* Fri Jun 24 2022 papoteur <papoteur> 3.2-4.mga9
+ Revision: 1865742
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 3.2-3.mga9
+ Revision: 1823859
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.2-2.mga9
+ Revision: 1785088
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.2-1.mga9
+ Revision: 1733571
- new version 3.2
- Rebuild for python 3.9
+ neoclust <neoclust>
- Add P100: Fixes CVE-2021-21416 (mga#29052)

* Sun Feb 16 2020 umeabot <umeabot> 3.0.1-3.mga8
+ Revision: 1535885
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 3.0.1-2.mga8
+ Revision: 1452947
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 3.0.1-1.mga8
+ Revision: 1430992
- new version 3.0.1
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 2.0.4-4.mga7
+ Revision: 1355183
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.0.4-3.mga7
+ Revision: 1288698
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.0.4-2.mga7
+ Revision: 1135387
- Rebuild for python 3.6

* Fri Jan 22 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 926492
- new version: 2.0.4
- add python3 package
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0-7.mga5
+ Revision: 744313
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-6.mga5
+ Revision: 728301
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 687990
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 543349
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0-2.mga4
+ Revision: 498386
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 1.0-1.mga4
+ Revision: 472022
- update to 1.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 378706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 philippem <philippem> 0.8-1.mga3
+ Revision: 288115
- New upstream release 0.8

* Thu Jan 27 2011 ahmad <ahmad> 0.7-3.mga1
+ Revision: 42406
- imported package python-django-registration


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7-3mdv2011.0
+ Revision: 592246
- rebuild for python 2.7

* Fri Feb 12 2010 Jérôme Brenier <incubusss@mandriva.org> 0.7-2mdv2010.1
+ Revision: 505132
- fix summary
- import python-django-registration


